import { defineNuxtModule, installModule, resolvePath } from '@nuxt/kit';
import { modules } from './const.mjs';

const module = defineNuxtModule({
  meta: {
    name: "nuxtseo",
    compatibility: {
      nuxt: ">=3.7.0",
      bridge: false
    }
  },
  defaults: {
    enabled: true
  },
  async setup(config, nuxt) {
    if (!config.enabled) {
      return;
    }
    for (const module of modules) {
      if (module.npm !== "@nuxtjs/seo") {
        await installModule(await resolvePath(module.npm), {}, nuxt);
      }
    }
  }
});

export { module as default };
